import { getIntroduce } from "../../../../core/utils/ywtService";
import { envContext } from "../../../../core/utils/constants";
Component({
  props: {},
  data: {
    content: "",
  },

  didMount() {
    // hospitalId 白云 41，太和12
    const { subHospitalId, hospitalId } = this.$page.data.query || {};
    this.getIntroduce(hospitalId);
  },

  methods: {
    async getIntroduce(subHospitalId) {
      console.log("xxxx000");
      const [err, result] = await getIntroduce({
        subHospitalId: Number(subHospitalId),
        type: 3,
      });
      if (!err && result.content !== "<p></p>") {
        this.setData({
          content: result.content,
        });
      }
    },
  },
});
